- Cal3D 0.11 API Reference -

Public Member Functions | List of all members
CalDataSource Class Referenceabstract

CalDataSource abstract interface class. More...

`#include <datasource.h>`

Inheritance diagram for CalDataSource:

## Public Member Functions

virtual bool | ok () const =0
virtual void | setError () const =0
virtual bool | readBytes (void *pBuffer, int length)=0
virtual bool | readFloat (float &value)=0
virtual bool | readInteger (int &value)=0
virtual bool | readString (std::string &strValue)=0

## Detailed Description

CalDataSource abstract interface class.

This is an abstract class designed to represent a source of Cal3d data, whether it is an ifstream, istream, or even a memory buffer. Inheriting classes must implement the 'read' functions below.

## Member Function Documentation

## ◆ ok()

virtual bool CalDataSource::ok | ( |  | ) | const

pure virtual

Implemented in CalBufferSource, and CalStreamSource.

## ◆ readBytes()

virtual bool CalDataSource::readBytes | ( | void * | pBuffer,
|  | int | length )

pure virtual

Implemented in CalBufferSource, and CalStreamSource.

## ◆ readFloat()

virtual bool CalDataSource::readFloat | ( | float & | value | ) |

pure virtual

Implemented in CalBufferSource, and CalStreamSource.

## ◆ readInteger()

virtual bool CalDataSource::readInteger | ( | int & | value | ) |

pure virtual

Implemented in CalBufferSource, and CalStreamSource.

## ◆ readString()

virtual bool CalDataSource::readString | ( | std::string & | strValue | ) |

pure virtual

Implemented in CalBufferSource, and CalStreamSource.

## ◆ setError()

virtual void CalDataSource::setError | ( |  | ) | const

pure virtual

Implemented in CalBufferSource, and CalStreamSource.

The documentation for this class was generated from the following file:

- datasource.h

Generated by The Cal3D Team with Doxygen 1.15.0